Bug 218688 - cman_tool reports aisexec not starting erroneously
cman_tool reports aisexec not starting erroneously
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-12-06 15:20 EST by Kiersten (Kerri) Anderson
Modified: 2009-04-16 18:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 20:27:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kiersten (Kerri) Anderson 2006-12-06 15:20:06 EST
Description of problem:
During system startup with the cman init script enabled, cman_tool reports the
following message:
[kanderso@dhcp83-120 tmp]$ cat cman_tool-aisexec.txt 
tarting cluster: 
   Loading modules... DLM (built Dec  4 2006 15:58:12) installed
GFS2 (built Dec  4 2006 15:58:52) installed
   Mounting configfs... done
   Starting ccsd... done
   Starting cman... failed
/usr/sbin/cman_tool: aisexec daemon didn't start

Once the node is up, it appears that aisexec does in fact start correctly,
cman_tool status returns current state and the node is participating in the cluster.

The result of this is that the full startup script does not get executed and the
remaining cluster services do not get started properly.  Running service cman
start successfully brings up the cluster.
Version-Release number of selected component (if applicable):

How reproducible:
This has happened twice on the xen cluster so far when running revolver

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Kiersten (Kerri) Anderson 2006-12-06 15:42:16 EST
I upped the loop count in cman_tool/join.c to 100 from 20 to see if that makes
it go away for the short term.  Have restarted my tests, will let you know if I
see it again.
Comment 2 Christine Caulfield 2006-12-07 04:55:17 EST
There is actually a small bug in cman_tool join such that it doesn't spot that
aisexec has started correctly or crashed. Fixing this bug means that the loop
counter can go much higher as aisexec failures will be properly detected.

Checking in join.c;
/cvs/cluster/cluster/cman/cman_tool/join.c,v  <--  join.c
new revision: 1.48; previous revision: 1.47
Comment 3 Christine Caulfield 2006-12-12 11:52:41 EST
Checked in to RHEL5 & RHEL50 branches

Checking in join.c;
/cvs/cluster/cluster/cman/cman_tool/join.c,v  <--  join.c
new revision:; previous revision: 1.47
Checking in join.c;
/cvs/cluster/cluster/cman/cman_tool/join.c,v  <--  join.c
new revision:; previous revision: 1.47
Comment 4 RHEL Product and Program Management 2007-02-07 20:27:31 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.
Comment 5 Nate Straz 2007-12-13 12:22:26 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.